#
# spec file for package usbutils (Version 0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         usbutils
Version:      0.8
Release:      23
Obsoletes:	usb
Source:		http://usb.in.tum.edu/download/%{name}-%{version}.tar.gz
Patch:		%{name}-%{version}.dif
Copyright:	GNU GPL
Buildroot: 	/var/tmp/buildroot-usbutils
Summary:      tools and libs for the USB devices
Group: Applications/System

%description
This package contains a utility for inspecting
devices connected to a USB.
It requires kernel version 2.3.99-pre7 or newer or the USB backport which
was introduced in 2.2.18 (supporting the /proc/bus/usb interface).

SuSE series: ap

%prep
%setup -q
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=/usr --datadir=%{_datadir} --sbindir=/sbin --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#install -d $RPM_BUILD_ROOT/{sbin,/usr/man/man8,/usr/share}
#install -s lsusb $RPM_BUILD_ROOT/sbin
#install lsusb.8 $RPM_BUILD_ROOT/usr/man/man8
#install usb.ids $RPM_BUILD_ROOT/usr/share

%files
%defattr(0644, root, root, 0755)
%attr(0644, root, root) %{_mandir}/man8/*
%attr(0755, root, root) /sbin/*
%config /usr/share/usb.ids
#/usr/lib/libusb.*
#/usr/include/libusb.h
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort > /tmp/install_file.txt
rpm -qpl %{_topdir}/RPMS/%{_arch}/*-%{release}.%{_arch}.rpm|sort > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt)
cat /tmp/file_diff.txt

%changelog -n usbutils
* Mon Sep 24 2001 - olh@suse.de
- update usb.ids from http://www.linux-usb.org/
* Mon Sep 24 2001 - olh@suse.de
- fix usb.ids (#11201)
* Mon Sep 03 2001 - olh@suse.de
- readd to distribution for series ap
  update to 0.8 for hotplug, usbmodules is needed
  dont use libs, they are in libusb
  add current usb.ids from linux-usb.org
* Tue Dec 05 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu Nov 30 2000 - olaf@suse.de
- add usbutils 0.7 to SuSE dist, will replace the usb.rpm
